import { getItemEnumList } from "@/services/bus/allEnum";
import { AllEnums } from "@/services/go/commonService/interface";

/**
 * 获取证件类型枚举列表
 * @returns AllEnums[]
 */
export function getCardTypeEnumList(): AllEnums[] {
    return getItemEnumList('certificatetype')
}

/**
 *获取仓登录状态枚举列表
 */
export function getLoginStatusEnumList(): AllEnums[] {
    return getItemEnumList('loginstatus')
}

/**
 * 获取单位枚举列表
 * @returns 
 */
export function getGoodsUnitEnumList(): AllEnums[] {
    return getItemEnumList('goodsunit')
}

/**
 *获取仓库类型枚举列表
 */
export function getWarehouseTypeEnumList(): AllEnums[] {
    return getItemEnumList('warehouseinfoType')
}

/**
 *获取币种类型枚举列表
 */
export function getPayCurrencyTypeEnumList(): AllEnums[] {
    return getItemEnumList('paycurrency')
}

/**
 *获取套保计划类型枚举列表
 */
export function getSpotContractTypeEnumList(): AllEnums[] {
    return getItemEnumList('spotContractType')
}